Subject: Re: [PATCH 1/3] [NET] phy/fixed.c: rework to not duplicate PHY layerfunctionality

From: Anton Vorontsov <[email-masked]>
Date: Thu, 10 Jan 2008 18:53:37 +0300

On Sat, Dec 29, 2007 at 06:13:08PM +0100, Joakim Tjernlund wrote:
> > -----Original Message-----
> > From: 
> > linuxppc-dev-bounces+joakim.tjernlund=[email-masked] 
> > [mailto:linuxppc-dev-bounces+joakim.tjernlund=transmode.se@ozl
> > abs.org] On Behalf Of Vitaly Bordug
> > Sent: den 6 december 2007 23:51
> > To: Paul Mackerras
> > Cc: [email-masked]; linuxppc-dev
> > Subject: [PATCH 1/3] [NET] phy/fixed.c: rework to not 
> > duplicate PHY layerfunctionality
> > 
> > 
> > With that patch fixed.c now fully emulates MDIO bus, thus no need
> > to duplicate PHY layer functionality. That, in turn, drastically
> > simplifies the code, and drops down line count.
> > 
> > As an additional bonus, now there is no need to register MDIO bus
> > for each PHY, all emulated PHYs placed on the platform fixed MDIO bus.
> > There is also no more need to pre-allocate PHYs via .config option,
> > this is all now handled dynamically.
> > 
> > 
> > Signed-off-by: Anton Vorontsov <[email-masked]>
> > Signed-off-by: Vitaly Bordug <[email-masked]>
> > Acked-by: Jeff Garzik <[email-masked]>
> 
> What happened to this patch set? Is it sitting in a tree somewhere waiting
> for 2.4.25 or does it need more work?
        ^ we're too late then. ;-)

Patches already began to fuzz at the fsl_soc.c, yet more time and
they'll reject to apply. So.. Paul, Kumar can we get this in for
2.6.25?

I believe afterward this one will need some attention too:
http://ozlabs.org/pipermail/linuxppc-dev/2007-December/048473.html

Thanks in advance,

p.s. I just noticed that "fsl_soc: add support for gianfar for
fixed-link .." patch could be cosmetically improved (removing
casts, adding checks for size after the of_get_property), but I
hope we can do this on top of already applied patches.

Thanks again,

-- 
Anton Vorontsov
email: [email-masked]
backup email: [email-masked]
irc://irc.freenode.net/bd2